{
  "general": {
    "node_id": "",
    "logger": "*syslog",
    "log_level": 7,
    "rounding_decimals": 5,
    "tpexport_dir": "/var/spool/cgrates/tpe",
    "poster_attempts": 3,
    "failed_posts_dir": "/var/spool/cgrates/failed_posts",
    "failed_posts_ttl": "5s",
    "default_request_type": "*rated",
    "default_category": "call",
    "default_tenant": "",
    "default_timezone": "Local",
    "default_caching": "*reload",
    "caching_delay": "0s",
    "min_call_duration": "0s",
    "max_call_duration": "3h",
    "connect_attempts": 5,
    "reconnects": -1,
    "max_reconnect_interval": "",
    "connect_timeout": "1s",
    "reply_timeout": "2s",
    "locking_timeout": "0",
    "digest_separator": ",",
    "digest_equal": ":",
    "rsr_separator": ";",
    "max_parallel_conns": 100
  },
  "rpc_conns": {
    "*localhost": {
      "conns": [{"address": "127.0.0.1:2012", "transport":"*json"}]
    }
  },
  "listen": {
    "rpc_gob": "0.0.0.0:2013",
    "http": "0.0.0.0:2080"
  },
  "http": {
    "use_basic_auth": false,
    "auth_users": {"UScale":"dXNjYWxlQGNncmF0ZXM="},
    "content_type": "application/json",
    "json_rpc_url": "/jsonrpc"
  },
  "data_db": {
    "db_type": "*redis",
    "db_host": "127.0.0.1",
    "db_port": 6379,
    "db_name": "10",
    "db_user": "",
    "db_password": ""
  },
  "stor_db": {
    "db_type": "*mysql",
    "db_host": "127.0.0.1",
    "db_port": 3306,
    "db_name": "cgrates",
    "db_user": "cgrates",
    "db_password": "CGRateS.org"
  },
  "filters": {
    "stats_conns": ["*internal"],
    "resources_conns": ["*internal"],
    "apiers_conns": ["*internal"],
    "prefix_indexed_fields": [
      "prefix_indexed_fields"
    ]
  },
  "statis": {
    "enabled": true,
    "listen": "0.0.0.0:2012",
    "transport": "tcp"
  },
  "schedulers": {
    "enabled": true
  },
  "rals": {
    "enabled": true,
    "thresholds_conns": [
      "*localhost"
    ],
    "stats_conns": [
      "*localhost"
    ],
    "rp_subject_prefix_matching": true,
    "store_cdrs": true
  },
  "cdrs": {
    "enabled": true,
    "stats_conns": [
      "*localhost"
    ],
    "chargers_conns": [
      "*internal"
    ],
    "sessions_cost_retries": 5,
    "rals_conns": ["*localhost"]
  },
  "chargers": {
    "enabled": true,
    "attributes_conns": [
      "*internal"
    ]
  },
  "sessions": {
    "enabled": true,
    "rals_conns": [
      "*localhost"
    ],
    "cdrs_conns": [
      "*localhost"
    ],
    "resources_conns": [
      "*localhost"
    ],
    "routes_conns": [
      "*localhost"
    ],
    "attributes_conns": [
      "*localhost"
    ],
    "stats_conns": [
      "*localhost"
    ],
    "thresholds_conns": [
      "*localhost"
    ],
    "chargers_conns": [
      "*internal"
    ],
    "debit_interval": "5s",
    "channel_sync_interval": "7s"
  },
  "asterisk_agent": {
    "enabled": false,
    "asterisk_conns": [
      {
        "address": "127.0.0.1:8088",
        "user": "cgrates",
        "password": "CGRateS.org",
        "connect_attempts": 3,
        "reconnects": 10
      }
    ],
    "sessions_conns": ["*birpc_internal"],
    "chargers_conns": ["*internal"],
    "create_cdr": true,
    "encoding": "msgpack"
  },
  "attributes": {
    "enabled": true,
    "string_indexed_fields": [
      "*req.Account"
    ]
  },
  "resources": {
    "enabled": true,
    "string_indexed_fields": [
      "*req.Account"
    ],
    "prefix_indexed_fields": [
      "*req.Account"
    ]
  },
  "stats": {
    "enabled": true,
    "string_indexed_fields": [
      "*req.Account",
      "*req.RunID",
      "*req.Destination"
    ]
  },
  "thresholds": {
    "enabled": true,
    "string_indexed_fields": [
      "*req.Account"
    ]
  },
  "routes": {
    "enabled": true,
    "resources_conns": [
      "*internal"
    ],
    "stats_conns": [
      "*internal"
    ],
    "rals_conns": [
      "*internal"
    ],
    "string_indexed_fields": [
      "*req.Account"
    ],
    "prefix_indexed_fields": [
      "*req.Account"
    ]
  },
  "ees": {
    "enabled": true,
    "attributes_conns": [
      "*internal"
    ],
    "exporters": [
      {
        "id": "tutorial_export",
        "type": "*file_csv",
        "export_path": "/tmp/",
        "timezone": "UTC",
        "synchronous": true,
        "attempts": 1,
        "field_separator": ",",
        "fields": [
          {
            "tag": "CGRID",
            "path": "*exp.CGRID",
            "type": "*variable",
            "value": "~*req.CGRID"
          },
          {
            "tag": "RunID",
            "path": "*exp.RunID",
            "type": "*variable",
            "value": "~*req.RunID"
          },
          {
            "tag": "ToR",
            "path": "*exp.ToR",
            "type": "*variable",
            "value": "~*req.ToR"
          },
          {
            "tag": "OriginID",
            "path": "*exp.OriginID",
            "type": "*variable",
            "value": "~*req.OriginID"
          },
          {
            "tag": "RequestType",
            "path": "*exp.RequestType",
            "type": "*variable",
            "value": "~*req.RequestType"
          },
          {
            "tag": "Tenant",
            "path": "*exp.Tenant",
            "type": "*variable",
            "value": "~*req.Tenant"
          },
          {
            "tag": "Category",
            "path": "*exp.Category",
            "type": "*variable",
            "value": "~*req.Category"
          },
          {
            "tag": "Account",
            "path": "*exp.Account",
            "type": "*variable",
            "value": "~*req.Account"
          },
          {
            "tag": "Subject",
            "path": "*exp.Subject",
            "type": "*variable",
            "value": "~*req.Subject"
          },
          {
            "tag": "Destination",
            "path": "*exp.Destination",
            "type": "*variable",
            "value": "~*req.Destination"
          },
          {
            "tag": "SetupTime",
            "path": "*exp.SetupTime",
            "type": "*variable",
            "value": "~*req.SetupTime{*timestring::2006-01-02T15:04:05Z}"
          },
          {
            "tag": "AnswerTime",
            "path": "*exp.AnswerTime",
            "type": "*variable",
            "value": "~*req.AnswerTime{*timestring::2006-01-02T15:04:05Z}"
          },
          {
            "tag": "Usage",
            "path": "*exp.Usage",
            "type": "*variable",
            "value": "~*req.Usage{*duration_seconds}"
          },
          {
            "tag": "Cost",
            "path": "*exp.Cost",
            "type": "*variable",
            "value": "~*req.Cost{*round:4}"
          }
        ]
      }
    ]
  },
  "apiers": {
    "enabled": true,
    "scheduler_conns": [
      "*internal"
    ],
    "ees_conns": [
      "*localhost"
    ]
  },

  "config_service": {
    "enabled": true
  }


}